export const orderStatus = () => {
  return [{
    label: '管理员',
    value: 1,
  }, {
    label: '门店管理员',
    value: 2,
  }, {
    label: '配送员',
    value: 3,
  }, {
    label: '销售员',
    value: 4,
  }]
}
// 冷冻要求
export const freezingRequirement = () => {
  return [{
    label: '48小时',
    value: 48,
  }, {
    label: '24小时',
    value: 24,
  }, {
    label: '12小时',
    value: 12,
  }]
}

export const WaybillStatus = () => {
  return [{
    bgcolor: '#E6A23C',
    label: '未确定',
    value: 1,
  }, {
    bgcolor: '#E6A23C',
    label: '待审核',
    value: 2,
  }, {
    bgcolor: '#E6A23C',
    label: '待配送',
    value: 3,
  }, {
    bgcolor: '#409EFF',
    label: '配送中',
    value: 4,
  }, {
    bgcolor: '#67C23A',
    label: '已完成',
    value: 5,
  }, {
    bgcolor: '#F56C6C',
    label: '已拒收',
    value: 6,
  }, {
    bgcolor: '#F56C6C',
    label: '已驳回',
    value: 7,
  }, {
    bgcolor: '#F56C6C',
    label: '已取消',
    value: 8,
  }]
}
export const myOrder = () => {
  return [{
    bgcolor: '#F56C6C',
    label: '未发货',
    value: [1, 2, 3],
  }, {
    bgcolor: '#409EFF',
    label: '已发货',
    value: [4, 5, 6, 7],
  }, {
    bgcolor: '#67C23A',
    label: '已签收',
    value: 8,
  }]
}

export const startStatus = () => {
  return [{
    bgcolor: '#409EFF',
    label: '正常',
    value: '2',
  }, {
    bgcolor: '#F56C6C',
    label: '停用',
    value: '1',
  }]
}

export const iceraftStatus = () => {
  return [{
    bgcolor: '#409EFF',
    label: '正常',
    value: '2',
  }, {
    bgcolor: '#F56C6C',
    label: '停用',
    value: '1',
  }]
}
export const allocationState = () => {
  return [{
    bgcolor: '#F56C6C',
    label: '待分配',
    value: 1,
  }, {
    bgcolor: '#19be6b',
    label: '已分配',
    value: 2,
  }]
}

export const userType = () => {
  return [{
    bgcolor: '#409EFF',
    label: '发货人',
    value: 'sender',
  }, {
    bgcolor: '#19be6b',
    label: '收件人',
    value: 'consignee',
  }]
}

export const frozenState = () => {
  return [{
    bgcolor: '#606266',
    label: '未入库',
    value: '',
  }, {
    bgcolor: '#409EFF',
    label: '冷冻中',
    value: '1',
  }, {
    bgcolor: '#E6A23C',
    label: '待使用',
    value: '2',
  }, {
    bgcolor: '#67C23A',
    label: '使用中',
    value: '3',
  }, {
    bgcolor: '#909399',
    label: '已结束',
    value: '4',
  }, {
    bgcolor: '#ff9900',
    label: '释冷中',
    value: '5',
  }]
}

export const radiolist = () => {
  return [{
    label: '现金',
    value: 1,
  }, {
    label: '线上支付',
    value: 2,
  }, {
    label: '银行卡',
    value: 3,
  }, {
    label: '医保',
    value: 4,
  }, {
    label: '其他',
    value: 5,
  }]
}

export const stateList = () => {
  return [{
    label: '已结清',
    value: 1,
    bgcolor: '#67C23A',
  }, {
    label: '未结清',
    value: 2,
    bgcolor: '#F56C6C',
  }]
}

export const deviceState = () => {
  return [{
    label: '未监控',
    value: 0,
    bgcolor: '#F56C6C',
  }, {
    label: '监控中',
    value: 1,
    bgcolor: '#2979ff',
  }, {
    label: '停止记录',
    value: 2,
    bgcolor: '#ff9900',
  }, {
    label: '中途任务',
    value: 3,
    bgcolor: '#67C23A',
  }, {
    label: '未绑定',
    value: 4,
    bgcolor: '#909399',
  }]
}
