// eslint-disable-next-line
// import { UserLayout, BasicLayout, BlankLayout } from '@/layouts'

const RouteView = {
  name: 'RouteView',
  render: h => h('router-view')
}
/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
    path: '/login',
    name: 'login',
    component: () => import( /* webpackChunkName: "user" */ '@/views/login'),
  }, {
    path: '/WaybillInquiry',
    name: 'WaybillInquiry',
    component: () => import( /* webpackChunkName: "user" */ '@/views/WaybillInquiry'),
  }, {
    path: '/newInquiry',
    name: 'newInquiry',
    component: () => import( /* webpackChunkName: "user" */ '@/views/newInquiry'),
  },
  {
    path: '/FourOhFour',
    name: 'FourOhFour',
    component: () => import( /* webpackChunkName: "fail" */ '@/views/FourOhFour')
  }
]
