import {
  userType
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'name',
    label: '门店名称',
    align: 'center',
  }, {
    field: 'address',
    label: '门店详细地址',
    align: 'center',
  }, {
    field: 'remark',
    label: '备注',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '260px',
    align: 'center',
    labelButton: [{
      type: 'logs',
      label: '详情',
      icon: 'el-icon-tickets',
      style: 'success',
    }, {
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-delete',
      style: 'danger',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'name',
    label: '门店名称',
    placeholder: '请输入门店名称',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入门店名称',
      trigger: 'blur'
    }]
  }, {
    field: 'address',
    label: '门店详细地址',
    placeholder: '请输入门店详细地址',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入门店详细地址',
      trigger: 'blur'
    }]
  }, {
    field: 'coldKey',
    label: '冷链3.0公司秘钥',
    placeholder: '请输入冷链3.0公司秘钥',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入冷链3.0公司秘钥',
      trigger: 'blur'
    }]
  }, {
    field: 'remark',
    label: '备注',
    placeholder: '请输入备注',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: false,
    }]
  }, ]
}
