// 管理员菜单intendant
export const iceRouter = {
  name: 'index',
  path: '/',
  component: () => import('@/views/common/Base'),
  redirect: '/IceManagement',
  children: [{
    path: '/IceManagement',
    name: 'IceManagement',
    meta: {
      icon: 'icon-bingpaiguanli',
      title: '冰排管理'
    },
    component: () => import('@/views/IceCreamFreezer/IceManagement'),
  }, {
    path: '/IceTracingManagement',
    name: 'IceTracingManagement',
    meta: {
      icon: 'icon-iceTracing',
      title: '冰排追溯管理'
    },
    component: () => import('@/views/IceCreamFreezer/IceTracingManagement'),
  }, {
    path: '/IncubatorManagement',
    name: 'IncubatorManagement',
    meta: {
      icon: 'icon-baowenxiangguanli',
      title: '保温箱管理'
    },
    component: () => import('@/views/incubator/IncubatorManagement'),
  }, {
    path: '/IncubatorTraceability',
    name: 'IncubatorTraceability',
    meta: {
      icon: 'icon-trace',
      title: '保温箱追溯'
    },
    component: () => import('@/views/incubator/IncubatorTraceability'),
  }, {
    path: '/FreezerManagement',
    name: 'FreezerManagement',
    meta: {
      icon: 'icon-binggui',
      title: '冷冻柜管理'
    },
    component: () => import('@/views/IceCreamFreezer/FreezerManagement'),
  }, {
    path: '/incubatorView',
    name: 'incubatorView',
    meta: {
      icon: 'icon-trace',
      title: '设备定位'
    },
    component: () => import('@/views/page/incubatorView'),
  }]
}
