// 管理员菜单intendant
export const intendantRouter = {
  name: 'index',
  path: '/',
  component: () => import('@/views/common/Base'),
  redirect: '/home',
  children: [{
      path: '/home',
      name: 'home',
      meta: {
        icon: 'icon-shouye',
        title: '首页'
      },
      // component: () => import('@/views/page/Home'),
      component: () => import('@/views/page/homeView'),
    }, {
      path: '/UserManagement',
      name: 'UserManagement',
      meta: {
        icon: 'icon-yonghuguanli',
        title: '用户管理'
      },
      component: () => import('@/views/system/UserManagement'),
    }, {
      path: '/addressBook',
      name: 'addressBook',
      meta: {
        icon: 'icon-cangku',
        title: '患者薄管理'
      },
      component: () => import('@/views/system/addressBook'),
    }, {
      path: '/storeManagement',
      name: 'storeManagement',
      meta: {
        icon: 'icon-yaodian',
        title: '门店管理'
      },
      component: () => import('@/views/IceCreamFreezer/storeManagement'),
    }, {
      path: '/incubatorView',
      name: 'incubatorView',
      meta: {
        icon: 'icon-trace',
        title: '设备定位'
      },
      component: () => import('@/views/page/incubatorView'),
    }, {
      path: '/IceCreamFreezer',
      name: 'IceCreamFreezer',
      meta: {
        icon: 'icon-yundan',
        title: '设备管理'
      },
      component: () => import('@/views/IceCreamFreezer/index'),
      redirect: '/IceCreamFreezer/IceManagement',
      children: [{
        path: 'IceManagement',
        name: 'IceManagement',
        meta: {
          icon: 'icon-bingpaiguanli',
          title: '冰排管理'
        },
        component: () => import('@/views/IceCreamFreezer/IceManagement'),
      }, {
        path: 'IceTracingManagement',
        name: 'IceTracingManagement',
        meta: {
          icon: 'icon-iceTracing',
          title: '冰排追溯管理'
        },
        component: () => import('@/views/IceCreamFreezer/IceTracingManagement'),
      }, {
        path: 'IncubatorManagement',
        name: 'IncubatorManagement',
        meta: {
          icon: 'icon-baowenxiangguanli',
          title: '保温箱管理'
        },
        component: () => import('@/views/incubator/IncubatorManagement'),
      }, {
        path: 'IncubatorTraceability',
        name: 'IncubatorTraceability',
        meta: {
          icon: 'icon-trace',
          title: '保温箱追溯'
        },
        component: () => import('@/views/incubator/IncubatorTraceability'),
      }, {
        path: 'FreezerManagement',
        name: 'FreezerManagement',
        meta: {
          icon: 'icon-binggui',
          title: '冷冻柜管理'
        },
        component: () => import('@/views/IceCreamFreezer/FreezerManagement'),
      }],
    }, {
      path: '/OrderManagement',
      name: 'OrderManagement',
      meta: {
        icon: 'icon-yundan',
        title: '订单管理'
      },
      component: () => import('@/views/OrderManagement/index'),
      redirect: '/OrderManagement/uncertainOrder',
      children: [{
        path: 'uncertainOrder',
        name: 'uncertainOrder',
        meta: {
          icon: 'icon-yueduye-mulu',
          title: '未确定订单'
        },
        component: () => import('@/views/OrderManagement/uncertainOrder.vue'),
      }, {
        path: 'reviewedOrder',
        name: 'reviewedOrder',
        meta: {
          icon: 'icon-daishenhe',
          title: '待审核订单'
        },
        component: () => import('@/views/OrderManagement/reviewedOrder.vue'),
      }, {
        path: 'pendingOrder',
        name: 'pendingOrder',
        meta: {
          icon: 'icon-daipeisong',
          title: '待配送订单'
        },
        component: () => import('@/views/OrderManagement/pendingOrder.vue'),
      }, {
        path: 'deliveryOrder',
        name: 'deliveryOrder',
        meta: {
          icon: 'icon-peisongzhong',
          title: '配送中订单'
        },
        component: () => import('@/views/OrderManagement/deliveryOrder.vue'),
      }, {
        path: 'completedOrder',
        name: 'completedOrder',
        meta: {
          icon: 'icon-yiwanchengdingdan',
          title: '已完成订单'
        },
        component: () => import('@/views/OrderManagement/completedOrder.vue'),
      }, {
        path: 'cancelledOrder',
        name: 'cancelledOrder',
        meta: {
          icon: 'icon-yiquxiaodingdan',
          title: '已取消订单'
        },
        component: () => import('@/views/OrderManagement/cancelledOrder.vue'),
      }, {
        path: 'rejectionOrder',
        name: 'rejectionOrder',
        meta: {
          icon: 'icon-yiquxiaodingdan',
          title: '已拒收订单'
        },
        component: () => import('@/views/OrderManagement/rejectionOrder.vue'),
      }, ]
    }, {
      path: '/OrderReview',
      name: 'OrderReview',
      meta: {
        icon: 'icon-dingdanshenhe',
        title: '订单审核'
      },
      component: () => import('@/views/OrderManagement/OrderReview'),
    },
    // {
    //   path: '/statisticalManagement',
    //   name: 'statisticalManagement',
    //   meta: {
    //     icon: 'icon-tongjifenxi',
    //     title: '统计分析管理'
    //   },
    //   component: () => import('@/views/page/statisticalManagement'),
    // },
    // {
    //   path: '/WaybillManagement',
    //   name: 'WaybillManagement',
    //   meta: {
    //     icon: 'icon-yundanguanli',
    //     title: '运单管理'
    //   },
    //   component: () => import('@/views/system/WaybillManagement'),
    // }
  ]
}
