import {
  startStatus,
  WaybillStatus
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'selection',
    label: '多选',
    align: 'center',
  }, {
    field: 'waybillNo',
    label: '运单号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'orderNo',
    label: '订单号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'status',
    label: '状态',
    align: 'center',
    options: WaybillStatus(),
    colWidth: '70px',
  }, {
    field: 'multistage',
    label: '复核人',
    children: [{
      field: 'reCheck.nickName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'reCheck.phone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, ]
  }, {
    field: 'multistage',
    label: '配送人',
    children: [{
      field: 'delivery.nickName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'delivery.phone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, ]
  }, {
    field: 'multistage',
    label: '收件人',
    children: [{
      field: 'consigneeAddressName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'consigneeAddressPhone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, {
      field: 'consigneeAddressDetails',
      label: '地址',
      align: 'center',
      colWidth: '220px',
    }, ]
  }, {
    field: 'tamperProofLabel',
    label: '防拆标签码',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'coolerBox.name',
    label: '保温箱',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'iceRaftCode',
    label: '冰排编号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'deliveryTime',
    label: '出发时间',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'receiptTime',
    label: '签收时间',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'deliveryDuration',
    label: '配送耗时',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'assessStar',
    label: '服务评价',
    align: 'center',
    colWidth: '220px',
  }, {
    field: 'remark',
    label: '备注',
    align: 'center',
  }, {
    field: 'unpackBtn',
    label: '操作',
    colWidth: '370px',
    align: 'center',
    labelButton: [{
      type: 'logs',
      label: '详情',
      icon: 'el-icon-tickets',
      style: 'success',
    }, {
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'send',
      label: '派单',
      icon: 'el-icon-tickets',
      style: 'primary',
    }, {
      type: 'sign',
      label: '签收',
      icon: 'el-icon-folder-checked',
      style: 'warning',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-delete',
      style: 'danger',
    }]
  }]
}
